@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    margin: 0;
}

:root {
    --Txt-marron: #412520;
    --Lora: "Lora", serif;
    --Great_Vibes: "Great Vibes", cursive;
    --Poppins: "Poppins", sans-serif;
    --Inter: "Inter", sans-serif;
    --semi-bold: 600;
    --medium: 500;
    --bold: 700;
    --regular: 400;
}

.choice-img-wrapper {
    position: absolute;
    top: 0;
    right: 0;
    height: 500px;
    width: auto;
}

.choice-wrapper {
    position: relative;
    width: 100%;
    margin-top: 50px;
    margin-bottom: 60px;
}

.choice-card {
    position: relative;
    inset: 0;
    z-index: 2;
    /* overflow: hidden; */
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: center;
}

.choice-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
    width: fit-content;
}

.choice-card h2 {
    color: #6A3924;
    font-weight: var(--regular);
    font-size: 3rem;
    text-align: left;
    line-height: 1;
    font-family: var(--Lora);
    font-style: italic;
}

.choice-content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.choice-content-1 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 920px;
}

.choice-content-2 {
    display: flex;
    flex-direction: row;
    gap: 20px;
    flex-wrap: wrap;
}

.choice-img img {
    width: 450px;
    height: 250px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 16px;
    transition: filter 0.3s ease;

}
.choice-img img:hover,.choice-img-macarons img:hover,.choice-img-glaces img:hover {
   filter: grayscale(80%);
}

.choice-img-macarons img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 16px;
    transition: filter 0.3s ease;
}

.choice-img-glaces img {
    width: 100%;
    max-height: 520px;
    border-radius: 16px;
    display: block;
    transition: filter 0.3s ease;
}

.patisseries-content,
.chocolats-content {
    position: relative;
    overflow: hidden;
}

.macarons-content {
    position: relative;
    overflow: hidden;
}

.glaces-content {
    position: relative;
    overflow: hidden;
}

.choice-txt {
    max-width: 450px;
    max-height: 60px;
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    z-index: 2;
    gap: 7px;
    margin-top: 150px;
}

.choice-link {
    position: absolute;
    top: 16px;
    right: 16px;
    z-index: 3;
}

.choice-link img {
    height: 50px;
    width: auto;
    cursor: pointer;
    transform: 1s ease;
}

.choice-link img:hover {
    scale: calc(1.04);
    transform: 1s ease;
}


.choice-txt span {
    color: #fff;
    font-weight: var(--semi-bold);
    font-size: 32px;
    text-align: center;
    line-height: 1;
    font-family: var(--Poppins);
    text-transform: capitalize;
}


.choice-txt p {
    color: #fff;
    font-weight: 500;
    text-align: center;
    font-size: 20px;
    text-transform: capitalize;
    font-family: var(--Poppins);
    letter-spacing: 4%;
}

.choice-txt-macarons {
    max-width: 400px;
    max-height: 40px;
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    margin-left: 20px;
    z-index: 2;
    gap: 7px;
    margin-top: 190px;
}

.choice-txt-macarons span {
    color: #fff;
    font-weight: var(--semi-bold);
    font-size: 32px;
    text-align: left;
    line-height: 1;
    font-family: var(--Poppins);
    text-transform: capitalize;
}


.choice-txt-macarons p {
    color: #fff;
    font-weight: 500;
    text-align: left;
    font-size: 20px;
    text-transform: capitalize;
    font-family: var(--Poppins);
    letter-spacing: 4%;
}

.choice-link-macarons {
    position: absolute;
    top: 16px;
    right: 16px;
    z-index: 3;
}

.choice-link-macarons img {
    height: 50px;
    width: auto;
    cursor: pointer;
    transform: 1s ease;
}

.choice-link-macarons img:hover {
    scale: calc(1.04);
    transform: 1s ease;
}

.choice-txt-glaces {
    max-width: 400px;
    max-height: 40px;
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    margin-left: 40px;
    z-index: 2;
    gap: 7px;
    margin-top: 460px;
}

.choice-txt-glaces span {
    color: #fff;
    font-weight: var(--semi-bold);
    font-size: 32px;
    text-align: left;
    line-height: 1;
    font-family: var(--Poppins);
    text-transform: capitalize;
}


.choice-txt-glaces p {
    color: #fff;
    font-weight: 500;
    text-align: left;
    font-size: 20px;
    text-transform: capitalize;
    font-family: var(--Poppins);
    letter-spacing: 4%;
}

.choice-link-glaces {
    position: absolute;
    top: 16px;
    right: 16px;
    z-index: 3;
}

.choice-link-glaces img {
    height: 50px;
    width: auto;
    cursor: pointer;
    transform: 1s ease;
}

.choice-link-glaces img:hover {
    scale: calc(1.04);
    transform: 1s ease;
}

@media (max-width: 1410px) {
    .glaces-content {
        width: 100%;
        max-width: 920px;
    }

    .choice-img-glaces img {
        width: 100%;
        height: 250px;
        object-fit: cover;
        display: block;
        border-radius: 16px;
    }


    .choice-txt-glaces,
    .choice-txt-macarons {
        width: 100%;
        max-height: 250px;
        inset: 0;
        z-index: 2;
        margin: 0 auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }


}

@media (max-width: 920px) {
    .choice-img img {
        width: 100%;
        height: 250px;
        object-fit: cover;
        display: block;
        border-radius: 16px;
    }

    .choice-group{
        padding: 0px 10px;
    }

    .choice-img-macarons img {
        width: 100%;
        height: 250px;
        object-fit: cover;
        display: block;
        border-radius: 16px;
    }

    .patisseries-content,
    .chocolats-content {
        position: relative;
        overflow: hidden;
        width: 100%;
    }

    .choice-txt {
        width: 100%;
        max-height: 250px;
        inset: 0;
        z-index: 2;
        margin: 0 auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .choice-group {
        display: flex;
        justify-content: center;
        align-items: flex-start;
        gap: 20px;
    }

    .choice-card h2 {
        font-size: 36px;
    }
}

@media (max-width: 650px) {

    .choice-img img,
    .choice-img-macarons img,
    .choice-img-glaces img {
        height: 150px;
    }

    .choice-txt,
    .choice-txt-glaces,
    .choice-txt-macarons {
        position: absolute;
        top: 40px;
        right: 16px;
        z-index: 3;
    }

    .choice-txt-macarons span,
    .choice-txt-glaces span,
    .choice-txt-glaces p,
    .choice-txt-macarons p {
        text-align: center;
    }

    .choice-link-glaces img,
    .choice-link img,
    .choice-link-macarons img {
        height: 46px;
    }

    .choice-link,
    .choice-link-glaces,
    .choice-link-macarons {
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 3;
    }

    .choice-content-2,
    .choice-content-1,
    .choice-content {
        gap: 10px;
    }
}